%global upstream_owner    AdaCore
%global upstream_name     gprconfig_kb
%global upstream_version  23.0.0
%global upstream_gittag   v%{upstream_version}

Name:           gprconfig-kb
Version:        %{upstream_version}
Release:    1%{?dist}
Summary:        GNAT project configuration knowledge base
BuildArch:      noarch

License:        GPL-3.0-or-later WITH GCC-exception-3.1

URL:            https://github.com/%{upstream_owner}/%{upstream_name}
Source0:        %{url}/archive/%{upstream_gittag}/%{upstream_name}-%{upstream_version}.tar.gz

Source1:        fedora_arches.xml

Patch0:         %{name}-fedora-compilers.patch

Patch1:         %{name}-improve-detection-of-gcc.patch

Patch2:         %{name}-improve-detection-of-gnu-ld.patch

Patch3:         %{name}-improve-detection-of-clang.patch

Conflicts:      gprbuild <= 2020


%description
The GNAT project configuration knowledge base is used for configuring
GNAT project toolchains.



%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1



%build
%nil



%install
%global inst install --mode=u=rw,go=r,a-s --preserve-timestamps

mkdir --parents %{buildroot}%{_datadir}/gprconfig
%{inst} --target-directory=%{buildroot}%{_datadir}/gprconfig db/gprconfig.xsd
%{inst} --target-directory=%{buildroot}%{_datadir}/gprconfig db/*.xml
%{inst} --target-directory=%{buildroot}%{_datadir}/gprconfig db/*.ent
%{inst} --target-directory=%{buildroot}%{_datadir}/gprconfig %{SOURCE1}



%files
%license COPYING3 COPYING.RUNTIME
%doc README*
%{_datadir}/gprconfig



%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - %{upstream_version}-1
- initial build
